# Uses of Class
org.eclipse.draw2d.geometry.Insets

Packages that use Insets
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of Insets in org.eclipse.draw2d

Subclasses of Insets in org.eclipse.draw2d
Modifier and Type
Class
Description
`static class`
`IFigure.NoInsets`
Insets that are all 0.
Fields in org.eclipse.draw2d declared as Insets
Modifier and Type
Field
Description
`protected Insets`
MarginBorder.`insets`
This border's insets.
`Insets`
ScrollPaneSolver.Result.`insets`
Insets of ScrollPane
`protected static final Insets`
SimpleEtchedBorder.`INSETS`
The insets
`static final Insets`
IFigure.`NO_INSETS`
Empty Insets.
Methods in org.eclipse.draw2d that return Insets
Modifier and Type
Method
Description
`protected abstract Insets`
AbstractLabeledBorder.`calculateInsets(IFigure figure)`
Calculates insets based on the current font and other attributes.
`protected Insets`
ButtonBorder.ButtonScheme.`calculateInsets()`
Calculates and returns the Insets for this border.
`protected Insets`
GroupBoxBorder.`calculateInsets(IFigure figure)`
Calculates and returns the Insets for this GroupBoxBorder.
`protected Insets`
SchemeBorder.Scheme.`calculateInsets()`
Calculates and returns the Insets for this border Scheme.
`protected Insets`
TitleBarBorder.`calculateInsets(IFigure figure)`
Calculates and returns the Insets for this border.
`Insets`
AbstractBackground.`getInsets(IFigure figure)`
Returns the Insets for this Border for the given Figure.
`Insets`
AbstractLabeledBorder.`getInsets(IFigure fig)`
Returns the insets, or space associated for this border.
`Insets`
Border.`getInsets(IFigure figure)`
Returns the Insets for this Border for the given Figure.
`Insets`
CompoundBorder.`getInsets(IFigure figure)`
Returns the total insets required to hold both the inner and outer borders of this CompoundBorder.
`Insets`
Figure.`getInsets()`
Returns the border's Insets if the border is set.
`Insets`
FocusBorder.`getInsets(IFigure figure)`
`Insets`
IFigure.`getInsets()`
Returns the current Insets.
`Insets`
LineBorder.`getInsets(IFigure figure)`
Returns the space used by the border for the figure provided as input.
`Insets`
MarginBorder.`getInsets(IFigure figure)`
`Insets`
SchemeBorder.`getInsets(IFigure figure)`
`protected Insets`
SchemeBorder.Scheme.`getInsets()`
Returns the Insets required by this Scheme.
`Insets`
SimpleEtchedBorder.`getInsets(IFigure figure)`
Returns the Insets used by this border.
`protected Insets`
TitleBarBorder.`getPadding()`
Returns this TitleBarBorder's padding.
Methods in org.eclipse.draw2d with parameters of type Insets
Modifier and Type
Method
Description
`protected static final Rectangle`
AbstractBorder.`getPaintRectangle(IFigure figure, Insets insets)`
Returns a temporary rectangle representing the figure's bounds cropped by the specified insets.
`void`
AbstractBackground.`paint(IFigure figure, Graphics graphics, Insets insets)`
Paints the border.
`void`
Border.`paint(IFigure figure, Graphics graphics, Insets insets)`
Paints the border.
`void`
ButtonBorder.`paint(IFigure figure, Graphics graphics, Insets insets)`
Paints this border with the help of the set scheme, the model of the clickable figure, and other inputs.
`void`
CompoundBorder.`paint(IFigure figure, Graphics g, Insets insets)`
`void`
FocusBorder.`paint(IFigure figure, Graphics graphics, Insets insets)`
Paints a focus rectangle.
`void`
GroupBoxBorder.`paint(IFigure figure, Graphics g, Insets insets)`
`void`
LineBorder.`paint(IFigure figure, Graphics graphics, Insets insets)`
`void`
MarginBorder.`paint(IFigure figure, Graphics graphics, Insets insets)`
This method does nothing, since this border is just for spacing.
`protected void`
SchemeBorder.`paint(Graphics graphics, IFigure fig, Insets insets, Color[] tl, Color[] br)`
Paints the border using the information in the set Scheme and the inputs given.
`void`
SchemeBorder.`paint(IFigure figure, Graphics g, Insets insets)`
`void`
SimpleEtchedBorder.`paint(IFigure figure, Graphics g, Insets insets)`
`void`
TitleBarBorder.`paint(IFigure figure, Graphics g, Insets insets)`
`void`
AbstractBackground.`paintBackground(IFigure figure, Graphics graphics, Insets insets)`
Called when this Background should paint.
`void`
TitleBarBorder.`setPadding(Insets pad)`
Sets the padding space of this TitleBarBorder to the passed value.
`void`
PrintOperation.`setPrintMargin(Insets margin)`
Sets the page margin in pels (logical pixels) to the passed Insets.(72 pels == 1 inch)
Constructors in org.eclipse.draw2d with parameters of type Insets
Modifier
Constructor
Description
``
`MarginBorder(Insets insets)`
Constructs a MarginBorder with dimensions specified by insets.

## Uses of Insets in org.eclipse.draw2d.geometry

Methods in org.eclipse.draw2d.geometry that return Insets
Modifier and Type
Method
Description
`Insets`
Insets.`add(Insets insets)`
Adds the values of the specified Insets to this Insets' values.
`Insets`
Insets.`getAdded(Insets insets)`
Creates an Insets representing the sum of this Insets with the specified Insets.
`Insets`
Insets.`getNegated()`
Creates a new `Insets` with negated values.
`Insets`
Insets.`getTransposed()`
Creates a new Insets with transposed values.
`static Insets`
Insets.`min(Insets insets_1, Insets insets_2)`
Creates a new minimal `Insets` using the distances of the given arguments.
`Insets`
Transposer.`t(Insets i)`
Returns a new transposed Insets of the input Insets.
`Insets`
Insets.`transpose()`
Transposes this object.
Methods in org.eclipse.draw2d.geometry with parameters of type Insets
Modifier and Type
Method
Description
`Insets`
Insets.`add(Insets insets)`
Adds the values of the specified Insets to this Insets' values.
`Rectangle`
Rectangle.`crop(Insets insets)`
Deprecated.
Use `Rectangle.shrink(Insets)` instead.
`Rectangle`
PrecisionRectangle.`expand(Insets insets)`
`Rectangle`
Rectangle.`expand(Insets insets)`
Expands the horizontal and vertical sides of this Rectangle by the width and height of the given Insets, and returns this for convenience.
`Insets`
Insets.`getAdded(Insets insets)`
Creates an Insets representing the sum of this Insets with the specified Insets.
`Rectangle`
Rectangle.`getCropped(Insets insets)`
Deprecated.
Use `Rectangle.getShrinked(Insets)` instead.
`Rectangle`
Rectangle.`getExpanded(Insets insets)`
Creates and returns a new Rectangle with the bounds of `this` Rectangle, expanded by the given Insets.
`Rectangle`
Rectangle.`getShrinked(Insets insets)`
Returns a new Rectangle shrinked by the specified insets.
`static Insets`
Insets.`min(Insets insets_1, Insets insets_2)`
Creates a new minimal `Insets` using the distances of the given arguments.
`default void`
Translatable.`performTranslate(Insets insets)`
Translates this object horizontally by `insets.left` and vertically by `insets.top`.
`Rectangle`
PrecisionRectangle.`shrink(Insets insets)`
`Rectangle`
Rectangle.`shrink(Insets insets)`
Shrinks this rectangle by the amount specified in `insets`.
`Insets`
Transposer.`t(Insets i)`
Returns a new transposed Insets of the input Insets.
Constructors in org.eclipse.draw2d.geometry with parameters of type Insets
Modifier
Constructor
Description
``
`Insets(Insets i)`
Constructs a new Insets with initial values the same as the provided Insets.

## Uses of Insets in org.eclipse.draw2d.graph

Fields in org.eclipse.draw2d.graph declared as Insets
Modifier and Type
Field
Description
`Insets`
Subgraph.`innerPadding`
The minimum space between this subgraph's border and it's children.
`Insets`
Subgraph.`insets`
The space required for this subgraph's border.
Methods in org.eclipse.draw2d.graph that return Insets
Modifier and Type
Method
Description
`Insets`
DirectedGraph.`getDefaultPadding()`
Returns the default padding for nodes.
`Insets`
DirectedGraph.`getMargin()`
Sets the outer margin for the entire graph.
`Insets`
DirectedGraph.`getPadding(Node node)`
Returns the effective padding for the given node.
`Insets`
Node.`getPadding()`
Returns the padding for this node or `null` if the default padding for the graph should be used.
Methods in org.eclipse.draw2d.graph with parameters of type Insets
Modifier and Type
Method
Description
`void`
DirectedGraph.`setDefaultPadding(Insets insets)`
Sets the default padding for all nodes in the graph.
`void`
DirectedGraph.`setMargin(Insets insets)`
Sets the graphs margin.
`void`
Node.`setPadding(Insets padding)`
Sets the padding.

## Uses of Insets in org.eclipse.draw2d.text

Methods in org.eclipse.draw2d.text that return Insets
Modifier and Type
Method
Description
`Insets`
AbstractFlowBorder.`getInsets(IFigure figure)`
Methods in org.eclipse.draw2d.text with parameters of type Insets
Modifier and Type
Method
Description
`final void`
AbstractFlowBorder.`paint(IFigure figure, Graphics graphics, Insets insets)`
This method is not called on FlowBorders.